body.single-product {
    overflow: visible !important;
}

section.related.products {
    display: none;
}

.single-product .quantity {
    margin-bottom: 15px;
}

div#subtot {
    display: none !important;
}

.custom-variation-switcher {
    justify-content: center;
    gap: 20px 40px;
    margin-bottom: 0px;
    color: var(--primary-color, #2a1f4a);
}

.single_variation_wrap .woocommerce-variation-price {
    display: none;
}

.single-product .product_title {
    color: var(--primary-color, #2a1f4a);
    font-size: 34px !important;
    font-weight: 700;
    line-height: 34px !important;
    border-bottom: 0px;
}

.single-product span.addtocart-btn-suffix {
    color: #565656;
    font-size: 15px;
    font-weight: 400;
    margin-left: 3px;
}

.single-product button.single_add_to_cart_button[type="submit"] {
    margin-top: 20px;
    width: 100%;
}

.single-product button.single_add_to_cart_button[type="submit"].disabled {
    pointer-events: none;
}

.single-product form.variations_form.cart {
    border-top: 0px !important;
}

.custom-variation-switcher .variation-option {
    padding: 0 10px !important;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.custom-variation-switcher {
    gap: 15px;
}

.single-product .woocommerce-product-gallery__image {
    max-width: 100% !important;
}

.single-product .ocean-product-desc {
    font-size: 16px;
    color: var(--text_color-color, #58595b);
}

.single-product .ocean-product-desc a.ocean-read-more,
.single-product .ocean-product-desc a.ocean-read-less {
    color: var(--dark_link-color, #3157ce);
    font-size: 16px !important;
    text-decoration: none !important;
}

.single-product a.oceanwp-order-accuracy-link {
    color: var(--dark_link-color, #3157ce) !important;
}

/* =============== printing speed radio button section update(start) =============== */
.printing-speed-section {
    margin-top: 20px;
}

.printing-speed-section h2 {
    color: var(--primary-color, #2a1f4a);
    margin-bottom: 20px;
    font-size: 26px;
    font-weight: 700;
}

.printing-speed-section .subtitle {
    color: var(--text_color-color, #58595b);
    margin-bottom: 18px;
    font-size: 14px;
    margin-top: -14px;
}

.printing-speed-section .subtitle img.subtitle-badge-icon {
    width: 18px;
    display: inline-block;
}

.printing-speed-section .option-content {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}

.printing-speed-section .option-right-content {
    text-align: end;
    font-size: 18px;
}

@media (max-width: 576px) {
    .printing-speed-section .option-content {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .printing-speed-section .option-right-content {
        text-align: unset;
    }
}

.printing-speed-section span.title {
    font-size: 18px;
}

.printing-speed-section .printing-options input[type="radio"]:checked ~ .option-content span.title {
    color: var(--secondary-color, #91206c);
}

.printing-speed-section span.price {
    color: var(--text_color-color, #58595b);
    font-weight: 400;
    font-size: 14px;
}

.printing-speed-section .subtotal {
    font-weight: 700;
    color: var(--text_color-color, #58595b);
}

.printing-speed-section input[type="radio"] {
    appearance: none;
    width: 22px;
    height: 22px;
    border: 1px solid #212529;
    border-radius: 50px;
}

.printing-speed-section .details {
    line-height: 18px;
    padding-bottom: 5px;
}

.printing-speed-section .option {
    display: flex;
    align-items: center;
    gap: 10px;
    border: 2px solid var(--text_color-color, #58595b);
    border-radius: 10px;
    padding: 0px 14px;
    margin-bottom: 12px;
    cursor: pointer;
    transition: box-shadow .15s, border-color .15s, background .15s;
    background: var(--white-color, #ffffff);
}

.printing-speed-section .option:hover {
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.06);
}

.printing-speed-section input[type="radio"]:checked {
    border: 8px solid var(--secondary-color, #91206c);
}

.printing-speed-section .option:has(input[type="radio"]:checked) {
    border: 2px solid var(--secondary-color, #91206c);
}

.printing-speed-section .note {
    color: var(--text_color-color, #58595b);
    font-size: 14px;
    margin-top: 10px;
    text-align: right;
}

/* =============== printing speed radio button section (end) =============== */


/* =============== compare materials (start) =============== */
.laminate-table-wrapper th,
.laminate-table-wrapper td {
    overflow-y: unset !important;
}

.laminate-table-wrapper .material-name {
    text-align: left;
}

.laminate-table-wrapper .compare-material-table td,
.laminate-table-wrapper .compare-material-table th.sub-heading {
    color: var(--primary-color, #2a1f4a);
}

@media (max-width: 524px) {
    .compare-material-block .table-fixed-column-inner {
        overflow-x: auto !important;
    }
}

/* =============== compare materials (end) =============== */



/* =============== faq (start) =============== */
.faq_box .item {
    margin-bottom: 0px;
    border-radius: 0px;
}

.faq_box .item.is_expanded .toggle {
    transform: rotate(180deg);
}

/* =============== faq (end) =============== */

/* =============== total price block (start) =============== */
.total-price {
    margin-top: 40px;
}

.total-price .subtotal-per-label {
    text-align: right;
    line-height: 10px;
    color: var(--primary-color, #2a1f4a);
    margin-bottom: 10px;
}

.total-price .subtotal-per-label span.woocommerce-Price-amount.amount {
    color: var(--primary-color, #2a1f4a);
}

.total-price .total-price-inner {
    display: flex;
    justify-content: space-between;
}

.total-price .price-text {
    color: var(--primary-color, #2a1f4a);
    font-size: 30px;
    font-weight: 700;
    margin-bottom: 10px;
}

.total-price .product-price {
    font-weight: 900;
    font-size: 30px;
}

.total-price .delivery-note {
    color: var(--success_back-color, #0F6F6A);
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 20px;
    position: relative;
    padding-left: 42px;
}

.total-price .delivery-note span{
position: absolute;
top: 4px;
}

.total-price .delivery-note svg {
    position: absolute;
    left: 0px;
}

.total-price .product-price span.amount {
    color: var(--primary-color, #2a1f4a);
    font-weight: 700;
}

.total-price img.delivery-icon {
    width: 40px;
    margin-right: 10px;
    display: inline-block;
}

/* =============== total price block (end) =============== */


/* =============== custom roll lables table (start) =============== */
.wp_product_builder .container-quantitySelector .input-col {
    display: flex;
    justify-content: space-between;
    padding-right: 55px !important;
}

.wp_product_builder .container-quantitySelector span.qty-note {
    color: var(--success_back-color, #0F6F6A);
    font-style: italic;
}

.wp_product_builder .container-quantitySelector span.badge {
    background: var(--success_back-color, #0F6F6A);
    padding: 0 10px;
}

.wp_product_builder .container-quantitySelector .qty-dropdown span.qty {
    font-size: 18px;
}

.wp_product_builder .container-quantitySelector span.per-label {
    font-size: 12px;
}

.wp_product_builder .container-quantitySelector span.price {
    color: var(--primary-color, #2a1f4a);
    font-size: 20px;
}

.wp_product_builder .container-quantitySelector li:hover span.price{
    color: var(--text_color-color, #58595b);
}

.wp_product_builder .container-quantitySelector li.selected span.price {
    color: var(--white-color, #ffffff);
}

.wp_product_builder .container-quantitySelector li#customBox {
    background: var(--primary-color, #2a1f4a);
}

.wp_product_builder .container-quantitySelector .cust-num-label label {
    color: var(--white-color, #ffffff);
    font-size: 18px;
    line-height: 18px;
}

.wp_product_builder .container-quantitySelector .cust-num-input input#customNumber {
    background: var(--white-color, #ffffff);
    max-width: 120px;
}

.wp_product_builder .container-quantitySelector .cust-num-input button#selectCustom {
    background: var(--white-color, #ffffff);
    padding: 4px 16px;
    color: var(--secondary-color, #91206c);
    border: 2px solid var(--secondary-color, #91206c);
}

.wp_product_builder .container-quantitySelector .row {
    width: 100%;
}

.wp_product_builder .container-quantitySelector .qty-dropdown .content-column {
    text-align: left !important;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.wp_product_builder .container-quantitySelector .qty-dropdown .custom-input-box .content-column {
    display: unset;
}

.wp_product_builder .form-group .image-radio.layout-7 .full-color-option:hover,
.wp_product_builder .form-group .image-radio.layout-8 .full-color-option:hover,
.wp_product_builder .form-group .image-radio.layout-9 .full-color-option:hover {
    background-color: var(--light_background-color, #f9f8f6) !important;
    border-color: var(--light_background-color, #f9f8f6) !important;
}

.wp_product_builder .form-group .image-radio.layout-7 .full-color-option:hover label.form-label span.item-title,
.wp_product_builder .form-group .image-radio.layout-8 .full-color-option:hover label.form-label span.item-title,
.wp_product_builder .form-group .image-radio.layout-9 .full-color-option:hover label.form-label span.item-title {
    color: var(--text_color-color, #58595b);
}

/* --------- material container - help me - compare material modal (start) --------- */
#property-compare-modal .property-modal-container>* {
    padding-left: 80px;
    padding-right: 80px;
}

@media (max-width: 573px) {
    .property-modal-container {
        display: unset !important;
        overflow: auto;
    }
}

@media (max-width: 991px) {
    #property-compare-modal .property-modal-container>* {
        padding-left: 50px;
        padding-right: 50px;
    }
}

@media (max-width: 768px) {
    #property-compare-modal .property-modal-container>* {
        padding-left: 25px;
        padding-right: 25px;
    }

    #property-compare-modal .property-modal-container .property-modal-header {
        padding-bottom: 2px;
    }

    #property-compare-modal .property-modal-footer {
        flex-direction: row;
    }
    div.product.owp-thumbs-layout-vertical div.images .flex-control-thumbs{
        width: 100%;
    }
}

@media (max-width: 534px) {
    #property-compare-modal .property-modal-footer span#selected-attributes-count {
        font-size: 24px !important;
    }
}

@media (max-width: 480px) {
    #property-compare-modal .property-modal-footer span#selected-attributes-count {
        font-size: 16px !important;
    }
}

#property-compare-modal .property-modal-header {
    border: 0px;
}

#property-compare-modal .modal-header-inner {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

@media (max-width: 768px) {
    #property-compare-modal .modal-header-inner {
        flex-direction: column;
    }
}

#property-compare-modal .modal-header-inner>* {
    width: 100%;
}

#property-compare-modal .modal-header-inner h2#modal-title {
    margin-bottom: 0;
}

#property-compare-modal button.property-modal-close {
    top: 5px;
    right: 10px;
    font-size: 30px;
}

#property-compare-modal .attribute-search-container input#attribute-search {
    height: 100%;
}

#property-compare-modal .attribute-search-container button.attribute-search-btn {
    height: 92%;
    right: 2px;
    width: 47px;
    background: var(--secondary-color, #91206c);
}

#property-compare-modal .attribute-modal-filters {
    background: transparent;
    border: 0px;
    padding-top: revert-layer;
    padding-bottom: 10px;
}

#property-compare-modal .attribute-modal-filters div#property-filter-checkboxes {
    gap: 6px 25px;
    flex-direction: row !important;
}

#property-compare-modal .attribute-modal-filters input.filter-all-checkbox,
#property-compare-modal .attribute-modal-filters input.filter-property-checkbox {
    height: 22px !important;
    width: 22px !important;
    border-radius: 4px;
}

#property-compare-modal .attribute-modal-filters input.filter-all-checkbox:checked,
#property-compare-modal .attribute-modal-filters input.filter-property-checkbox:checked {
    background: var(--primary-color, #2a1f4a);
}

#property-compare-modal .attribute-modal-filters input.filter-all-checkbox:before,
#property-compare-modal .attribute-modal-filters input.filter-property-checkbox:before {
    height: 100%;
    width: 100% !important;
    line-height: 20px !important;
    color: var(--white-color, #ffffff) !important;
}


#property-compare-modal .property-modal-footer {
    justify-content: end;
    gap: 0px 30px;
}

#property-compare-modal .property-modal-footer span#selected-attributes-count {
    color: var(--primary-color, #2a1f4a);
    font-size: 30px;
    font-weight: 600;
}

#property-compare-modal .property-modal-footer button#compare-attributes-btn {
    padding-left: 30px;
    padding-right: 30px;
    background: var(--secondary-color, #91206c);
}

#property-compare-modal .property-modal-footer button#compare-attributes-btn:disabled {
    background: #9a9a9a !important;
}

#property-compare-modal .attribute-modal-body div#property-cards-container {
    grid-gap: 20px;
    grid-template-columns: repeat(auto-fill, minmax(222px, 1fr));
}

#property-compare-modal .attribute-modal-body .attribute-card:hover {
    border-color: var(--dark_link-color, #3157ce);
}

#property-compare-modal .attribute-modal-body .attribute-card {
    border-width: 2px;
}

#property-compare-modal .attribute-modal-body .attribute-card.selected {
    background-color: var(--dark_link-color, #3157ce)70;
    border-color: var(--dark_link-color, #3157ce);
}

#property-compare-modal .attribute-modal-body .attribute-image {
    background: unset;
}

#property-compare-modal .attribute-modal-body .attribute-image-img {
    width: unset !important;
    object-fit: unset !important;
}

#property-compare-modal .attribute-modal-body .attribute-info {
    text-align: center;
}

#property-compare-modal .attribute-modal-body .attribute-info .attribute-property {
    justify-content: center;
}

#property-compare-modal .attribute-modal-body .attribute-info .attribute-name {
    background: var(--primary-color, #2a1f4a) !important;
}

#property-compare-modal .attribute-modal-body .attribute-select-button .compare-select-btn {
    background: var(--secondary-color, #91206c);
}

#property-compare-modal .attribute-modal-body .attribute-select-checkbox:checked + .checkmark-circle {
    background: var(--dark_link-color, #3157ce);
    border-color: var(--dark_link-color, #3157ce);
}

#property-compare-modal .attribute-modal-body hr {
    margin-top: 6px;
    margin-bottom: 6px;
    border-color: #a6a6a640;
}
/* --------- material container - help me - compare material modal (end) --------- */

/* =============== custom roll lables table (end) =============== */


/* =============== product builder table - layout wise make proper (start) =============== */
.wp_product_builder .form-group>* {
    padding: 12px 0;
}

.wp_product_builder .with-icon svg {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    width: 28px !important;
    height: 28px;
    padding: 0px !important;
    color: var(--text_color-color, #58595b) ;
}

.wp_product_builder .with-icon:hover svg {
    color: var(--text_color-color, #58595b);
}

.wp_product_builder .with-icon.active svg {
    transform: translateY(-50%) rotate(180deg);
}

.wp_product_builder .form-group .input-col,
.wp_product_builder .form-group label.form-label {
    color: var(--text_color-color, #58595b) !important;
}

.wp_product_builder .form-group .top .title .tooltip:after {
    content: '';
    position: absolute;
    background-image: url(../assets/images/question-mark.svg);
    height: 15px;
    width: 15px;
    background-size: contain;
}

.wp_product_builder .form-group .full-color-option {
    padding: 0 !important;
}

.wp_product_builder .form-group label.form-label {
    padding: 0 !important;
    flex-direction: unset !important;
    justify-content: end;
    margin-bottom: 0 !important;
    justify-content: end !important;
}

.wp_product_builder .form-group .top .label-col span,
.wp_product_builder .form-group .top .label-col .title {
    color: var(--heading_color-color, #2a1f4a) ;
    font-weight: 600;
}

.wp_product_builder .form-group .image-radio.layout-7 picture.item-picture {
    text-align: end;
    text-align: -webkit-right;
}

.wp_product_builder .form-group .image-radio.image-bg.layout-7 .full-color-option:has(.form-control:checked),
.wp_product_builder .form-group .image-radio.image-bg.layout-9 .full-color-option:has(.form-control:checked),
.wp_product_builder .form-group .image-radio.image-bg.layout-8 .full-color-option:has(.form-control:checked) {
    background-color: var(--heading_color-color, #2a1f4a)  !important;
    border-color: var(--heading_color-color, #2a1f4a)  !important;
}

.wp_product_builder .image-radio.layout-7 .form-control~.form-label {
    padding: 10px 15px !important;
}

.wp_product_builder .form-group .image-radio.layout-9 .attribute-image {
    margin: 0 !important;
    background: transparent;
}

.wp_product_builder .form-group .image-radio.layout-8 .property-badges {
    display: flex;
    gap: 20px;
}

@media (max-width: 991px) and (min-width: 768px) {
    .wp_product_builder .form-group .image-radio.layout-8 .property-badges {
        gap: 12px;
    }
}

.wp_product_builder .form-group .image-radio.layout-8 span.property-badge {
    padding: 0;
    margin-bottom: 0;
}

.wp_product_builder .form-group .image-radio.layout-8 span.quoter-popular-badge {
    background: var(--dark_link-color, #3157ce);
    font-size: 14px;
    border-radius: 6px;
    padding: 0 6px;
}

.wp_product_builder .form-group  .image-radio.layout-8 input[type="checkbox"] {
    margin: 0px;
}

.wp_product_builder .form-group .image-radio.layout-8 input[type="checkbox"]:not(:first-child) {
    margin: 0px 0px 0px 15px;
}

.wp_product_builder .form-group  .image-radio.layout-8 div.property-filter-options {
    margin: 0 10px;
}

.wp_product_builder .form-group .image-bg.layout-8 div[class*="-option"] input[class*="-radio"] {
    height: 100%;
    visibility: visible;
    z-index: 9999;
}

.wp_product_builder .form-group .labeled-radio.layout-1 .item,
.wp_product_builder .form-group .labeled-radio.layout-6 .item {
    display: flex;
    gap: 8px;
}

.wp_product_builder .form-group .labeled-radio.layout-1 .item:not(:last-child),
.wp_product_builder .form-group .labeled-radio.layout-6 .item:not(:last-child) {
    margin-bottom: 12px;
}

.wp_product_builder .form-group .labeled-radio.layout-1 input.form-control,
.wp_product_builder .form-group .labeled-radio.layout-6 input.form-control {
    position: unset;
    width: auto;
}

.wp_product_builder .form-group .labeled-radio.layout-1 label.form-label,
.wp_product_builder .form-group .labeled-radio.layout-6 label.form-label {
    line-height: normal;
}

.wp_product_builder .form-group .labeled-radio.layout-1 p,
.wp_product_builder .form-group .labeled-radio.layout-6 p {
    margin-bottom: 0;
}

.wp_product_builder .form-group .labeled-radio.layout-1 .form-control:checked ~ .form-label:before,
.wp_product_builder .form-group .labeled-radio.layout-6 .form-control:checked ~ .form-label:before,
.wp_product_builder .form-group .image-radio.layout-2 .form-control:checked ~ .form-label .img-wrap,
.wp_product_builder .checkbox-layout-2 .form-control:checked ~ .form-label .swatch-wrap {
    border-color: var(--dark_link-color, #3157ce) !important;
}

.wp_product_builder .form-group .labeled-radio.layout-1 .form-label:after,
.wp_product_builder .form-group .labeled-radio.layout-6 .form-label:after {
    background-color: var(--dark_link-color, #3157ce) !important;
}

.wp_product_builder .form-group .image-radio.layout-2 .img-wrap:before,
.wp_product_builder .form-group .image-radio.layout-5 .img-wrap:before,
.wp_product_builder .form-group .image-radio.layout-5 .swatch-wrap:before,
.wp_product_builder .checkbox-layout-2 .form-control:checked ~ .form-label .swatch-wrap:before {
    background: url(../assets/images/green-checkmark.svg);
}

.wp_product_builder .form-group .image-radio.layout-3 .form-control:checked ~ .form-label,
.wp_product_builder .form-group .image-radio.layout-4 .form-control:checked ~ .form-label {
    background: var(--primary-color, #2a1f4a);
    border-color: var(--primary-color, #2a1f4a);
}

.wp_product_builder .form-group .select-layout-3 picture img {
    width: 40px;
    height: 40px;
    object-fit: contain;
}

.wp_product_builder .form-group .select-layout-3 .item-title {
    text-align: left !important;
}

.wp_product_builder .form-group .select-layout-3 .item-picture {
    text-align: end;
    text-align: -webkit-right;
}

.wp_product_builder .form-group .select-layout-3 label.form-label.row {
    justify-content: end !important;
}

.wp_product_builder .form-group .image-radio.layout-5 .form-control:checked ~ .form-label .img-wrap,
.wp_product_builder .form-group .image-radio.layout-5 .form-control:checked ~ .form-label .swatch-wrap {
    border-color: var(--dark_link-color, #3157ce) !important;
}

.wp_product_builder .form-group .image-radio.layout-8 .material-inner {
    display: flex;
    align-items: center;
    gap: 12px;
    padding: 10px 0;
}

.wp_product_builder .form-group .image-radio.layout-9 {
    justify-content: center;
    flex-wrap: nowrap;
    margin-right: 0px;
    margin-left: 0px;
    width: 100%;
}

@media (max-width: 575px) {
    .wp_product_builder .form-group .image-radio.layout-9 {
        flex-direction: column;
        align-items: center;
    }
}

.wp_product_builder .form-group .image-radio.layout-9 .form-label {
    padding: 10px !important;
    justify-content: start !important;
}

.wp_product_builder .form-group.text-field input.form-control {
    padding: 0 12px !important;
    width: 103px;
}

.wp_product_builder .form-group input#otherQuantityInput {
    max-width: 85px;
    padding: 0 12px;
    background-color: var(--white-color, #ffffff);
    border-radius: 5px;
}

.wp_product_builder .form-group .numinput-layout2-input-col {
    display: flex;
    gap: 10px;
    align-items: center;
}

@media (max-width: 575px) {
    .wp_product_builder .form-group .numinput-layout2-input-col {
        margin-top: 10px;
    }
}

.wp_product_builder .form-group .numinput-layout2-input-col label.withInput {
    margin-bottom: 0;
}

.wp_product_builder .form-group .numinput-layout2-input-col input#otherQuantityInput {
    padding: 0 12px !important;
    max-width: 70px;
}

.wp_product_builder .form-group input[type="number"]::-webkit-inner-spin-button,
.wp_product_builder .form-group input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.wp_product_builder .sizepicker-container .top.with-icon,
.wp_product_builder .container-roll-diameter .top.with-icon,
.wp_product_builder .container-design-version .top.with-icon,
.wp_product_builder #custom-size-inputs .top.with-icon {
    background: var(--white-color, #ffffff);
}

.wp_product_builder .sizepicker-container .btn-toggle,
.wp_product_builder .numinput-layout2-input-col .units-toggle,
.wp_product_builder #custom-size-inputs .btn-toggle {
    padding: 5px 10px;
    text-align: center;
    margin-bottom: 0;
}

.wp_product_builder .sizepicker-container .btn.btn-toggle,
.wp_product_builder .numinput-layout2-input-col .btn.units-toggle,
.wp_product_builder #custom-size-inputs .btn.btn-toggle {
    color: var(--primary-color, #2a1f4a);
    overflow-wrap: normal;
}

.wp_product_builder .sizepicker-container .btn.btn-toggle:has(input:checked),
.wp_product_builder .numinput-layout2-input-col .btn.units-toggle:has(input:checked),
.wp_product_builder #custom-size-inputs .btn.btn-toggle:has(input:checked) {
    background: var(--primary-color, #2a1f4a);
    color: #fff
}

.wp_product_builder .sizepicker-container input.form-control,
.wp_product_builder #custom-size-inputs input.form-control {
    padding: 0 10px !important;
}

.wp_product_builder .sizepicker-container .input-col,
.wp_product_builder #custom-size-inputs .input-col {
    display: flex;
    align-items: end;
    gap: 10px;
}

@media (max-width: 991px) and (min-width: 768px) {
    .wp_product_builder .sizepicker-container .input-col,
    .wp_product_builder #custom-size-inputs .input-col {
        flex-direction: column;
    }
}

@media (max-width: 575px) {
    .wp_product_builder .sizepicker-container .input-col,
    .wp_product_builder #custom-size-inputs .input-col {
        justify-content: center;
        margin-top: 10px;
    }
}

.wp_product_builder .sizepicker-container .size-units,
.wp_product_builder #custom-size-inputs .size-units {
    padding: 0 !important;
}

.wp_product_builder .sizepicker-container .size-inout-inner,
.wp_product_builder #custom-size-inputs .size-inout-inner {
    align-items: end;
    gap: 6px;
}

.wp_product_builder .sizepicker-container input.form-control {
    max-width: 110px !important;
    width: 92px !important;
    padding: 0 5px !important;
}

.wp_product_builder .sizepicker-container .input-col {
    flex-wrap: wrap;
}

.wp_product_builder .sizepicker-container .size-inout-inner {
    gap: 2px;
    flex-wrap: wrap;
}

.wp_product_builder .form-group.uploadlogo .upload-file {
    border-color: var(--primary-color, #2a1f4a);
    color: var(--primary-color, #2a1f4a);
}

.wp_product_builder .form-group.checkbox-layout-1 .checkbox-layout-1 {
    align-items: end;
    gap: 10px;
}

.wp_product_builder .form-group.checkbox-layout-1 input[type="checkbox"] {
    width: 25px;
    height: 25px;
    margin-right: 0px;
}

.wp_product_builder .form-group.checkbox-layout-1 input[type=checkbox]:checked:before {
    height: 100%;
    width: 100%;
    line-height: 25px;
}

.wp_product_builder .form-group input#otherQuantityInput {
    min-width: 103px;
    max-width: 103px;
    width: 103px;
    height: 40px;
}

.variations_form table.variations {
    background: #f9f8f6;
    border: 0px solid var(--light_background-color, #f9f8f6);
    border-width: 1px 1px 0px 1px !important;
    margin-bottom: -10px !important;
}

.wp_product_builder .holder {
    border-width: 1px 1px 1px 1px;
    border-radius: 3px;
}

.form-group img.popup-info-icon {
    display: none;
}

@media (max-width: 575px) {
    .wp_product_builder .top:has(input[name="design-versions"]) > [class*="col-"],
    .wp_product_builder .top:has(input[name="roll-diameter"]) > [class*="col-"],
    .wp_product_builder .top:has(input[name="lamination"]) > [class*="col-"] {
        width: 50% !important;
    }
}

/* =============== product builder table - layout wise make proper (end) =============== */


/* =============== order accuracy promises popup (start) =============== */
div.oceanwp-order-accuracy-popup {
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, 0.5);
}

.oceanwp-order-accuracy-popup-overlay {
    display: none;
}

.oceanwp-order-accuracy-popup-content {
    position: unset !important;
    transform: unset !important;
    width: 100% !important;
}

/* =============== order accuracy promises popup (end) =============== */


/* =============== wishlist button on product image (start) =============== */
.yith-add-to-wishlist-button-block {
    right: 5px !important;
    margin: 0px !important;
}

.yith-wcwl-add-to-wishlist-button span.yith-wcwl-add-to-wishlist-button__label {
    display: none;
}

.single-product button.yith-wcwl-add-to-wishlist-button {
    padding: 8px !important;
    border-radius: 50px;
}

.yith-add-to-wishlist-button-block {
    right: 10px !important;
    margin: 0px !important;
    top: 24px !important;
}

/* =============== wishlist button on product image (end) =============== */


/* =============== breadcrumb (start) =============== */
.oceanwp-breadcrumb li.trail-item.trail-end {
    font-weight: 700;
}

.oceanwp-breadcrumb li.trail-item a {
    color: var(--text_color-color, #58595b);
    font-weight: 300;
    font-size: 14px;
}

.oceanwp-breadcrumb li.trail-end a {
    font-weight: 600;
}

.product-breadcrumb span.breadcrumb-sep:after {
    content: ">";
    margin: 0px 8px;
    color: var(--text_color-color, #58595b);
}

/* =============== breadcrumb (end) =============== */


/* =============== product gallery (start) =============== */
.woocommerce-product-gallery {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 15px 0px;
}

figure.woocommerce-product-gallery__wrapper {
    padding-top: 0px;
}

.woocommerce-product-gallery li {
    width: 100% !important;
    margin: 0px !important;
    flex: 0 0 100px;
}

.woocommerce-product-gallery .flex-viewport {
    margin-bottom: 0px !important;
    float: unset !important;
    width: 100% !important;
    border: 2px solid #eeedeb;
    border-radius: 10px;
}

.woocommerce-product-gallery ol.flex-control-nav {
    display: flex;
    gap: 8px;
    width: 100%;
    height: unset !important;
    min-width: 100%;
    overflow-x: auto !important;
}

.woocommerce-product-gallery ol.flex-control-nav:before {
    content: unset !important;
}
.woocommerce-product-gallery .woocommerce-product-gallery__image img {
    width: 100%;
}

@media (max-width: 767px) {
    .woocommerce-product-details__short-description {
        text-align: left;
    }

    .woocommerce-product-after-gallary__description {
        margin-bottom: 20px;
    }
}

.woocommerce-product-details__short-description figure.wp-block-image {
    width: 100% !important;
    padding: 0px !important;
    margin: 15px 0px 0px 0px !important;
    max-width: 100% !important;
}

@media (max-width: 600px) {
    .wp-block-group {
        flex-direction: column;
        gap: 0px;
    }

    .wp-block-media-text {
        display: flex;
        width: 100%;
    }

    .wp-block-media-text__content {
        padding: 0px !important;
    }
}

@media (max-width: 524px) {
    .woocommerce-product-after-gallary__description {
        margin-left: 0px;
        padding-left: 0px;
    }
}


/* pdp image sticky scrolling (start) */
@media (min-width: 768px) {
    .type-product .product-img-summary-section {
        display: flex;
        gap: 40px;
        justify-content: space-between;
    }

    .type-product .woocommerce-product-gallery__wrapper__container,
    .type-product .entry-summary {
        flex: 1 1 0px;
        width: 50% !important;
        float: unset !important;
    }

    .type-product .woocommerce-product-gallery__wrapper__container {
        margin-bottom: 40px !important;
    }

    .type-product .product-gallery-col {
        position: sticky !important;
        top: 132px;
    }
}

/* pdp image sticky scrolling (end) */



/* =============== product gallery (end) =============== */


/* =============== saver for later -> create folder modal (start) =============== */
#sprink-create-folder-modal .sprink-modal-content {
    display: unset !important;
    width: 40%;
}

#sprink-create-folder-modal h2.sprink-modal-title {
    display: none;
}

#sprink-create-folder-modal h3.sprink-modal-subtitle {
    font-size: 30px;
    font-weight: 700;
    margin: 0;
    color: var(--primary-color, #2a1f4a);
}

#sprink-create-folder-modal form#sprink-create-folder-form {
    display: flex;
    flex-wrap: wrap;
    column-gap: 10px;
    justify-content: center;
}

#sprink-create-folder-modal .sprink-form-group {
    flex: 0 0 100%;
}

#sprink-create-folder-modal button.sprink-btn {
    font-size: 18px;
}

@media (max-width: 1342px) {
    #sprink-create-folder-modal .sprink-modal-content {
        padding: 50px 40px;
    }
}

@media (max-width: 1192px) {
    #sprink-create-folder-modal .sprink-modal-content {
        width: 56%;
        padding: 50px;
    }
}

@media (max-width: 887px) {
    #sprink-create-folder-modal .sprink-modal-content {
        width: 60%;
        padding: 50px 25px;
    }
}

@media (max-width: 745px) {
    #sprink-create-folder-modal .sprink-modal-content {
        width: 80%;
    }
}

@media (max-width: 558px) {
    #sprink-create-folder-modal .sprink-modal-content {
        width: 95%;
    }
}

@media (max-width: 470px) {
    #sprink-create-folder-modal form#sprink-create-folder-form {
        flex-direction: column;
        gap: 10px;
    }
}

/* =============== saver for later -> create folder modal (end) =============== */

.woocommerce main div.product form.cart {
    border: none;
    padding: 0px;
}